Package com.ocient.jdbc.proto

# Class ClientWireProtocol.SetParameter.ForceExternal.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<ClientWireProtocol.SetParameter.ForceExternal.Builder>
com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.SetParameter.ForceExternal.Builder>
com.ocient.jdbc.proto.ClientWireProtocol.SetParameter.ForceExternal.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `ClientWireProtocol.SetParameter.ForceExternalOrBuilder`, `Cloneable`

Enclosing class:
  `ClientWireProtocol.SetParameter.ForceExternal`

public static final class ClientWireProtocol.SetParameter.ForceExternal.Builder extends com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.SetParameter.ForceExternal.Builder> implements ClientWireProtocol.SetParameter.ForceExternalOrBuilder
Protobuf type `xg.cmdcomp.SetParameter.ForceExternal`

## Method Summary

Modifier and Type
Method
Description
`ClientWireProtocol.SetParameter.ForceExternal`
`build()`
`ClientWireProtocol.SetParameter.ForceExternal`
`buildPartial()`
`ClientWireProtocol.SetParameter.ForceExternal.Builder`
`clear()`
`ClientWireProtocol.SetParameter.ForceExternal.Builder`
`clearIsOn()`
`bool is_on = 1;`
`ClientWireProtocol.SetParameter.ForceExternal`
`getDefaultInstanceForType()`
`static final com.google.protobuf.Descriptors.Descriptor`
`getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor`
`getDescriptorForType()`
`boolean`
`getIsOn()`
`bool is_on = 1;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable`
`internalGetFieldAccessorTable()`
`final boolean`
`isInitialized()`
`ClientWireProtocol.SetParameter.ForceExternal.Builder`
`mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`ClientWireProtocol.SetParameter.ForceExternal.Builder`
`mergeFrom(com.google.protobuf.Message other)`
`ClientWireProtocol.SetParameter.ForceExternal.Builder`
`mergeFrom(ClientWireProtocol.SetParameter.ForceExternal other)`
`final ClientWireProtocol.SetParameter.ForceExternal.Builder`
`mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
`ClientWireProtocol.SetParameter.ForceExternal.Builder`
`setIsOn(boolean value)`
`bool is_on = 1;`
`final ClientWireProtocol.SetParameter.ForceExternal.Builder`
`setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`addRepeatedField, clearField, clearOneof, clone, getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.Message.Builder

`mergeDelimitedFrom, mergeDelimitedFrom`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.SetParameter.ForceExternal.Builder>`

### clear

public ClientWireProtocol.SetParameter.ForceExternal.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.SetParameter.ForceExternal.Builder>`

### getDescriptorForType

public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.SetParameter.ForceExternal.Builder>`

### getDefaultInstanceForType

public ClientWireProtocol.SetParameter.ForceExternal getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

### build

public ClientWireProtocol.SetParameter.ForceExternal build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

### buildPartial

public ClientWireProtocol.SetParameter.ForceExternal buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

### mergeFrom

public ClientWireProtocol.SetParameter.ForceExternal.Builder mergeFrom(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<ClientWireProtocol.SetParameter.ForceExternal.Builder>`

### mergeFrom

public ClientWireProtocol.SetParameter.ForceExternal.Builder mergeFrom(ClientWireProtocol.SetParameter.ForceExternal other)

### isInitialized

public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.SetParameter.ForceExternal.Builder>`

### mergeFrom

public ClientWireProtocol.SetParameter.ForceExternal.Builder mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<ClientWireProtocol.SetParameter.ForceExternal.Builder>`
Throws:
  `IOException`

### getIsOn

public boolean getIsOn()
`bool is_on = 1;`

Specified by:
  `getIsOn` in interface `ClientWireProtocol.SetParameter.ForceExternalOrBuilder`
Returns:
  The isOn.

### setIsOn

public ClientWireProtocol.SetParameter.ForceExternal.Builder setIsOn(boolean value)
`bool is_on = 1;`

Parameters:
  `value` - The isOn to set.
Returns:
  This builder for chaining.

### clearIsOn

public ClientWireProtocol.SetParameter.ForceExternal.Builder clearIsOn()
`bool is_on = 1;`

Returns:
  This builder for chaining.

### setUnknownFields

public final ClientWireProtocol.SetParameter.ForceExternal.Builder setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.SetParameter.ForceExternal.Builder>`

### mergeUnknownFields

public final ClientWireProtocol.SetParameter.ForceExternal.Builder mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.SetParameter.ForceExternal.Builder>`